Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015081
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2010-10-29 21:092010-11-09 22:46
ReporterpsarobeView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version2.50MP23
StatusclosedFix in branchFixed in SCM revision3835fb615788
ProjectionnoneETAnoneTarget Version3.0RC3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP23SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015081: You cannot update from RC2 to the latest MP

DescriptionIf you try to update from a fresh RC to the latest MP (MP23) the process fails. When I say MP23 I mean the corresponding MP23 for 3.0

Please note that it worked when you updated fro 3.0RC2 to MP22 (corresponding mp22 for 3.0)
Steps To Reproduce1. Install 3.0RC2
2. Test maturity level for core: test
3. Scan for updates
4. You will find updates for 3.0 and the template
5. Install the updates
6. Rebuild. It is here when it fails

See attach

Below part of the log:


Error: Table: Forced_Table not found in runtime model, is it maybe inactive?

Error: Reference column for Forced_Table_ID not found in runtime model [ref: 19, encountered exception Table: Forced_Table not found in runtime model, is it maybe inactive?

Error: No referenced column found: error >> tableName: APRM_Reconciliation_v - columnName: Forced_Table_ID

Error: Table: AD_Orgtrx not found in runtime model, is it maybe inactive?

Error: Reference column for AD_Orgtrx_ID not found in runtime model [ref: 30, encountered exception Table: AD_Orgtrx not found in runtime model, is it maybe inactive?

Error: No referenced column found: error >> tableName: APRM_FinAcc_Transaction_acct_v - columnName: AD_Orgtrx_ID

Error: Table: C_Locfrom not found in runtime model, is it maybe inactive?

Error: Reference column for C_Locfrom_ID not found in runtime model [ref: 30, encountered exception Table: C_Locfrom not found in runtime model, is it maybe inactive?

Error: No referenced column found: error >> tableName: APRM_FinAcc_Transaction_acct_v - columnName: C_Locfrom_ID

Error: Table: C_Locto not found in runtime model, is it maybe inactive?

Error: Reference column for C_Locto_ID not found in runtime model [ref: 30, encountered exception Table: C_Locto not found in runtime model, is it maybe inactive?

Error: No referenced column found: error >> tableName: APRM_FinAcc_Transaction_acct_v - columnName: C_Locto_ID

and more...
TagsRegression QA
Attached Filespng file icon RC2toMP23.PNG [^] (73,402 bytes) 2010-10-29 21:09

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0032331)
mtaal (developer)
2010-10-29 21:18

Hi Pablo,
Afaik the build should still succeed, correct?

An issue was solved and delivered in MP23 which should prevent these messages from showing in the build window. So, in the newest mp these errors should not show up in the install log, can you install a new module (not update the adv. payment) after installing mp23 and see if the build window still shows the error? (it shouldn't)

gr. Martin
(0032332)
psarobe (manager)
2010-10-29 21:30

Hi Martin,

I can confirm you that from a fresh MP23 I can install APR (Advance payables and receivables) with any issue. The same for QS2.0

The problem is that in the 3.0 RC2 if you only update the core version the issue shows up in any case.
(0032339)
hgbot (developer)
2010-11-01 15:28

Repository: erp/devel/pi
Changeset: 3835fb6157887efa360236f9cf3e81f04edd89eb
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Nov 01 15:27:53 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3835fb6157887efa360236f9cf3e81f04edd89eb [^]

Fixes issue 15081 You cannot update from RC2 to the latest MP

---
M build.xml
M src/org/openbravo/erpCommon/modules/ApplyModuleTask.java
---
(0032446)
hudsonbot (developer)
2010-11-05 12:44

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/3835fb615788 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/f2cf138fa03c [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18797.obx [^]
(0032456)
psarobe (manager)
2010-11-08 09:34

Tested working fine

- Issue History
Date Modified Username Field Change
2010-10-29 21:09 psarobe New Issue
2010-10-29 21:09 psarobe Assigned To => mtaal
2010-10-29 21:09 psarobe File Added: RC2toMP23.PNG
2010-10-29 21:10 psarobe Steps to Reproduce Updated View Revisions
2010-10-29 21:10 psarobe Status new => scheduled
2010-10-29 21:10 psarobe fix_in_branch => pi
2010-10-29 21:18 mtaal Note Added: 0032331
2010-10-29 21:18 mtaal Status scheduled => feedback
2010-10-29 21:27 jpabloae Issue Monitored: jpabloae
2010-10-29 21:30 psarobe Note Added: 0032332
2010-10-29 21:39 psarobe Status feedback => scheduled
2010-11-01 09:32 gorka_gil Issue Monitored: gorka_gil
2010-11-01 13:24 harpreet Issue Monitored: harpreet
2010-11-01 15:28 hgbot Checkin
2010-11-01 15:28 hgbot Note Added: 0032339
2010-11-01 15:28 hgbot Status scheduled => resolved
2010-11-01 15:28 hgbot Resolution open => fixed
2010-11-01 15:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3835fb6157887efa360236f9cf3e81f04edd89eb [^]
2010-11-05 12:44 hudsonbot Checkin
2010-11-05 12:44 hudsonbot Note Added: 0032446
2010-11-08 09:34 psarobe Note Added: 0032456
2010-11-08 09:34 psarobe Status resolved => closed
2010-11-08 09:34 psarobe Fixed in Version => 2.50MP23
2010-11-09 17:45 psarobe version 3.0RC2 => 2.50MP23
2010-11-09 17:45 psarobe fix_in_branch pi =>
2010-11-09 17:45 psarobe Tag Attached: Regression QA
2010-11-09 22:46 anonymous sf_bug_id 0 => 3106265


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker